package exceptions;

public class FamilyException extends Exception {

	private int numSpecies;
	private int numFamilies;
	
	public FamilyException(int numSpecies, int numFamilies){
		this.numSpecies = numSpecies;
		this.numFamilies = numFamilies;
	}
	
	@Override
	public String toString(){
		return "\nError: The number of families in the family file header should match the number of gene" +
				" families specified on each line\n" +
				"Please check the gene family file and try again\n";
	}
}
